Name:          sunxi-tools
Version:       20141005git
Release:       1mamba
Summary:       Tools to help hacking Allwinner devices
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://linux-sunxi.org/
## GITSOURCE https://github.com/LeMaker/sunxi-tools.git master
Source:        https://github.com/LeMaker/sunxi-tools.git/master/sunxi-tools-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libusbx-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Tools to help hacking Allwinner devices.

%debug_package

%prep
%setup -q

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
for f in fexc fex2bin bin2fex fel usb-boot fel-gpio pio nand-part bootinfo; do
   install -D -m0755 $f %{buildroot}%{_bindir}/$f
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/bin2fex
%{_bindir}/bootinfo
%{_bindir}/fel
%{_bindir}/fel-gpio
%{_bindir}/fex2bin
%{_bindir}/fexc
%{_bindir}/nand-part
%{_bindir}/pio
%{_bindir}/usb-boot
%doc COPYING

%changelog
* Sun Oct 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 20141005git-1mamba
- package created using the webbuild interface
